Event Manager does not handle the PHP version change event.

Created:

2016-11-16 12:39:49 UTC

Modified:

2017-08-16 16:48:46 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Event Manager does not handle the PHP version change event.

Applicable to:

  • Plesk 11.x for Linux
  • Plesk 12.0 for Linux

Symptoms

Event handler 'Hosting Settings Updated' does not work on changing PHP handler as well as on changing PHP version.

Cause

The issue is considered to be a software issue #PPPM-1920 and will be fixed in future product updates.

Subscribe to our knowledge base - each product update comes with corresponding KB article:

http://kb.plesk.com/rss/index.html

Resolution

This issue will be fixed in future updates. Meanwhile, the following custom fix could be applied:

Download attached file and replace corresponding file:

wget https://support.plesk.com/hc/article_attachments/115004383449/Abstract.php
cp -p /usr/local/psa/admin/plib/PHostingManager/Abstract.php{,.bak}
cp -p Abstract.php /usr/local/psa/admin/plib/PHostingManager/Abstract.php

Attachments:

Have more questions? Submit a request
Please sign in to leave a comment.